Summary:        Library for property based testing
Name:           python-hypothesis
Version:        6.47.1
Release:        2%{?dist}
License:        MPLv2.0
URL:            https://github.com/HypothesisWorks/hypothesis
Source0:        %{url}/archive/hypothesis-python-%{version}/hypothesis-%{version}.tar.gz

BuildRequires:  python3-devel pyproject-rpm-macros

BuildArch:      noarch


%description
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.


%package     -n python3-hypothesis
Summary:        Library for property based testing

%description -n python3-hypothesis
Hypothesis is a family of testing libraries which let you write tests
parametrized by a source of examples. A Hypothesis implementation then
generates simple and comprehensible examples that make your tests fail.
This simplifies writing your tests and makes them more powerful at the
same time, by letting software automate the boring bits and do them to
a higher standard than a human would, freeing you to focus on the higher
level test logic.


%prep
%autosetup -n hypothesis-hypothesis-python-%{version}/hypothesis-python
sed -i -e '/sphinx.ext.intersphinx/d' docs/conf.py
sed -i -e '/sphinx_codeautolink/d' docs/conf.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hypothesis


%files -n python3-hypothesis -f %{pyproject_files}
%license ../LICENSE.txt
%doc README.rst
%{python3_sitelib}/_hypothesis_pytestplugin.py
%{python3_sitelib}/__pycache__/_hypothesis_pytestplugin*.pyc
%{_bindir}/hypothesis


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.47.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Miaojun Dong <zoedong@tencent.com> - 6.47.1-1
- initial build
